<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisTickerTime</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_ticker_time.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_ticker_time-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisTickerTime</div></div>
</div><!--header-->
<div class="contents">

<p>Specialized axis ticker for time spans in units of milliseconds to days.  
 <a href="class_q_c_p_axis_ticker_time.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAxisTickerTime</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time__inherit__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_time_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_axis_ticker_time_inherit__map" id="a_q_c_p_axis_ticker_time_inherit__map">
<area shape="rect" title="Specialized axis ticker for time spans in units of milliseconds to days." alt="" coords="5,79,145,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="20,5,131,31"/>
<area shape="poly" title=" " alt="" coords="78,44,78,79,73,79,73,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPAxisTickerTime:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time__coll__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_time_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_axis_ticker_time_coll__map" id="a_q_c_p_axis_ticker_time_coll__map">
<area shape="rect" title="Specialized axis ticker for time spans in units of milliseconds to days." alt="" coords="5,79,145,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="20,5,131,31"/>
<area shape="poly" title=" " alt="" coords="78,44,78,79,73,79,73,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:a5c48ded8c6d3a1aca9b68219469fea3e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a> { <br />
&#160;&#160;<a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3ea809db637d2a7f601287c8790facc25cf">tuMilliseconds</a>
, <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3ea22b2c1842215272ae827eea2d1cc037d">tuSeconds</a>
, <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3ea682de6640daef46cffd8a080348d7d00">tuMinutes</a>
, <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3ea83a5713594424ba17f1f62f18f0e5935">tuHours</a>
, <br />
&#160;&#160;<a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3eaf9729e64545307a80a0e3527d6da6556">tuDays</a>
<br />
 }</td></tr>
<tr class="separator:a5c48ded8c6d3a1aca9b68219469fea3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_types_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Typy publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">tssReadability</a>
, <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">tssMeetTickCount</a>
 }</td></tr>
<tr class="separator:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a5145aac1d2117fdac411d9e8552cc41b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5145aac1d2117fdac411d9e8552cc41b">QCPAxisTickerTime</a> ()</td></tr>
<tr class="separator:a5145aac1d2117fdac411d9e8552cc41b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99ad61dc7434a7fed1850e96bf748834"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a99ad61dc7434a7fed1850e96bf748834">timeFormat</a> () const</td></tr>
<tr class="separator:a99ad61dc7434a7fed1850e96bf748834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b58a98e4d64c6764aa61a707e4a344d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a6b58a98e4d64c6764aa61a707e4a344d">fieldWidth</a> (<a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a> unit) const</td></tr>
<tr class="separator:a6b58a98e4d64c6764aa61a707e4a344d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f30b6e5125bce4256be9ce3177088ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a> (const QString &amp;format)</td></tr>
<tr class="separator:a2f30b6e5125bce4256be9ce3177088ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc13e54fc969be98a5c0e3fa0dbaa293"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#adc13e54fc969be98a5c0e3fa0dbaa293">setFieldWidth</a> (<a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a> unit, int width)</td></tr>
<tr class="separator:adc13e54fc969be98a5c0e3fa0dbaa293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8fcf23c79ebd72202fe79253f9f01ea8">QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a1119d6f09ad720f9c5dfdd2559047161">~QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a58df76f2ec3eb48401bdd314b0e14ba1">tickStepStrategy</a> () const</td></tr>
<tr class="separator:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aaf9edbe4169ce55e216fd067cc139452">tickCount</a> () const</td></tr>
<tr class="separator:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac0c6e9587c36fdeefb5518c00fe7ab15">tickOrigin</a> () const</td></tr>
<tr class="separator:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> strategy)</td></tr>
<tr class="separator:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a> (int count)</td></tr>
<tr class="separator:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab509c7e500293bf66a8409f0d7c23943">setTickOrigin</a> (double origin)</td></tr>
<tr class="separator:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856">generate</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, const QLocale &amp;locale, QChar formatChar, int precision, QVector&lt; double &gt; &amp;ticks, QVector&lt; double &gt; *subTicks, QVector&lt; QString &gt; *tickLabels)</td></tr>
<tr class="separator:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a5615064642090fe193797caea8b98cb4"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5615064642090fe193797caea8b98cb4">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a5615064642090fe193797caea8b98cb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acace84c46598176aa53837e147595471"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#acace84c46598176aa53837e147595471">getSubTickCount</a> (double tickStep) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:acace84c46598176aa53837e147595471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a046eb771bdf2a959f570db542b3a0be6"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a046eb771bdf2a959f570db542b3a0be6">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a046eb771bdf2a959f570db542b3a0be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b6c980be36f2672e3fc31d109a28a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a03b6c980be36f2672e3fc31d109a28a0">replaceUnit</a> (QString &amp;text, <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a> unit, int value) const</td></tr>
<tr class="separator:a03b6c980be36f2672e3fc31d109a28a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a> (double tickStep)</td></tr>
<tr class="separator:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a> (int subTickCount, const QVector&lt; double &gt; &amp;ticks)</td></tr>
<tr class="separator:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a> (const QVector&lt; double &gt; &amp;ticks, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916">trimTicks</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, QVector&lt; double &gt; &amp;ticks, bool keepOneOutlier) const</td></tr>
<tr class="separator:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260">pickClosest</a> (double target, const QVector&lt; double &gt; &amp;candidates) const</td></tr>
<tr class="separator:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff">getMantissa</a> (double input, double *magnitude=nullptr) const</td></tr>
<tr class="separator:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a">cleanMantissa</a> (double input) const</td></tr>
<tr class="separator:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a800af3fe0a7c1a8110c043b82169bc9d"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a800af3fe0a7c1a8110c043b82169bc9d">mTimeFormat</a></td></tr>
<tr class="separator:a800af3fe0a7c1a8110c043b82169bc9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58305b56f847bcab8b3c852a21bdb91a"><td class="memItemLeft" align="right" valign="top">QHash&lt; <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a58305b56f847bcab8b3c852a21bdb91a">mFieldWidth</a></td></tr>
<tr class="separator:a58305b56f847bcab8b3c852a21bdb91a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61033c493cec76a69628d1aaa5b07abf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a61033c493cec76a69628d1aaa5b07abf">mSmallestUnit</a></td></tr>
<tr class="separator:a61033c493cec76a69628d1aaa5b07abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349b2debe07adc591996aa73dec9a757"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#a349b2debe07adc591996aa73dec9a757">mBiggestUnit</a></td></tr>
<tr class="separator:a349b2debe07adc591996aa73dec9a757"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc8221afbccb99343aa61f75419908d"><td class="memItemLeft" align="right" valign="top">QHash&lt; <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>, QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_time.html#adfc8221afbccb99343aa61f75419908d">mFormatPattern</a></td></tr>
<tr class="separator:adfc8221afbccb99343aa61f75419908d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac059d6d670b2f6132c593fb4de156701">mTickStepStrategy</a></td></tr>
<tr class="separator:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a14a35b47d1aad11b08d18ea0e25937b8">mTickCount</a></td></tr>
<tr class="separator:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a560ef9347b1aa599a9bf0e2f29d3ec16">mTickOrigin</a></td></tr>
<tr class="separator:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="axisticker-time.png" alt=""/>
</div>
<p>This <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> subclass generates ticks that corresponds to time intervals.</p>
<p>The format of the time display in the tick labels is controlled with <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a> and <a class="el" href="class_q_c_p_axis_ticker_time.html#adc13e54fc969be98a5c0e3fa0dbaa293">setFieldWidth</a>. The time coordinate is in the unit of seconds with respect to the time coordinate zero. Unlike with <a class="el" href="class_q_c_p_axis_ticker_date_time.html" title="Specialized axis ticker for calendar dates and times as axis ticks.">QCPAxisTickerDateTime</a>, the ticks don't correspond to a specific calendar date and time.</p>
<p>The time can be displayed in milliseconds, seconds, minutes, hours and days. Depending on the largest available unit in the format specified with <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a>, any time spans above will be carried in that largest unit. So for example if the format string is "%m:%s" and a tick at coordinate value 7815 (being 2 hours, 10 minutes and 15 seconds) is created, the resulting tick label will show "130:15" (130 minutes, 15 seconds). If the format string is "%h:%m:%s", the hour unit will be used and the label will thus be "02:10:15". Negative times with respect to the axis zero will carry a leading minus sign.</p>
<p>The ticker can be created and assigned to an axis like this: </p><div class="fragment"></div><!-- fragment --><p>Here is an example of a time axis providing time information in days, hours and minutes. Due to the axis range spanning a few days and the wanted tick count (<a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a>), the ticker decided to use tick steps of 12 hours:</p>
<div class="image">
<img src="axisticker-time2.png" alt=""/>
</div>
<p>The format string for this example is </p><div class="fragment"></div><!-- fragment --><dl class="section note"><dt>Nota</dt><dd>If you rather wish to display calendar dates and times, have a look at <a class="el" href="class_q_c_p_axis_ticker_date_time.html" title="Specialized axis ticker for calendar dates and times as axis ticks.">QCPAxisTickerDateTime</a> instead. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01846">1846</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="a5c48ded8c6d3a1aca9b68219469fea3e" name="a5c48ded8c6d3a1aca9b68219469fea3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c48ded8c6d3a1aca9b68219469fea3e">&#9670;&#160;</a></span>TimeUnit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">QCPAxisTickerTime::TimeUnit</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the logical units in which fractions of time spans can be expressed.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_time.html#adc13e54fc969be98a5c0e3fa0dbaa293">setFieldWidth</a>, <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a5c48ded8c6d3a1aca9b68219469fea3ea809db637d2a7f601287c8790facc25cf" name="a5c48ded8c6d3a1aca9b68219469fea3ea809db637d2a7f601287c8790facc25cf"></a>tuMilliseconds&#160;</td><td class="fielddoc"><p>Milliseconds, one thousandth of a second (%z in <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5c48ded8c6d3a1aca9b68219469fea3ea22b2c1842215272ae827eea2d1cc037d" name="a5c48ded8c6d3a1aca9b68219469fea3ea22b2c1842215272ae827eea2d1cc037d"></a>tuSeconds&#160;</td><td class="fielddoc"><p>Seconds (%s in <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5c48ded8c6d3a1aca9b68219469fea3ea682de6640daef46cffd8a080348d7d00" name="a5c48ded8c6d3a1aca9b68219469fea3ea682de6640daef46cffd8a080348d7d00"></a>tuMinutes&#160;</td><td class="fielddoc"><p>Minutes (%m in <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5c48ded8c6d3a1aca9b68219469fea3ea83a5713594424ba17f1f62f18f0e5935" name="a5c48ded8c6d3a1aca9b68219469fea3ea83a5713594424ba17f1f62f18f0e5935"></a>tuHours&#160;</td><td class="fielddoc"><p>Hours (%h in <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5c48ded8c6d3a1aca9b68219469fea3eaf9729e64545307a80a0e3527d6da6556" name="a5c48ded8c6d3a1aca9b68219469fea3eaf9729e64545307a80a0e3527d6da6556"></a>tuDays&#160;</td><td class="fielddoc"><p>Days (%d in <a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a>) </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01855">1855</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a5145aac1d2117fdac411d9e8552cc41b" name="a5145aac1d2117fdac411d9e8552cc41b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5145aac1d2117fdac411d9e8552cc41b">&#9670;&#160;</a></span>QCPAxisTickerTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTickerTime::QCPAxisTickerTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs the ticker and sets reasonable default values. Axis tickers are commonly created managed by a QSharedPointer, which then can be passed to <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06883">6883</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time_a5145aac1d2117fdac411d9e8552cc41b_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_time_a5145aac1d2117fdac411d9e8552cc41b_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_time_a5145aac1d2117fdac411d9e8552cc41b_cgraph" id="aclass_q_c_p_axis_ticker_time_a5145aac1d2117fdac411d9e8552cc41b_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,152,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008" title=" " alt="" coords="200,13,395,38"/>
<area shape="poly" title=" " alt="" coords="153,23,186,23,186,28,153,28"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a99ad61dc7434a7fed1850e96bf748834" name="a99ad61dc7434a7fed1850e96bf748834"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99ad61dc7434a7fed1850e96bf748834">&#9670;&#160;</a></span>timeFormat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerTime::timeFormat </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01866">1866</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a6b58a98e4d64c6764aa61a707e4a344d" name="a6b58a98e4d64c6764aa61a707e4a344d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b58a98e4d64c6764aa61a707e4a344d">&#9670;&#160;</a></span>fieldWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerTime::fieldWidth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>&#160;</td>
          <td class="paramname"><em>unit</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01867">1867</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a2f30b6e5125bce4256be9ce3177088ea" name="a2f30b6e5125bce4256be9ce3177088ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f30b6e5125bce4256be9ce3177088ea">&#9670;&#160;</a></span>setTimeFormat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerTime::setTimeFormat </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the format that will be used to display time in the tick labels.</p>
<p>The available patterns are:</p><ul>
<li>%z for milliseconds</li>
<li>%s for seconds</li>
<li>%m for minutes</li>
<li>%h for hours</li>
<li>%d for days</li>
</ul>
<p>The field width (zero padding) can be controlled for each unit with <a class="el" href="class_q_c_p_axis_ticker_time.html#adc13e54fc969be98a5c0e3fa0dbaa293">setFieldWidth</a>.</p>
<p>The largest unit that appears in <em>format</em> will carry all the remaining time of a certain tick coordinate, even if it overflows the natural limit of the unit. For example, if %m is the largest unit it might become larger than 59 in order to consume larger time values. If on the other hand %h is available, the minutes will wrap around to zero after 59 and the time will carry to the hour digit. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06920">6920</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="adc13e54fc969be98a5c0e3fa0dbaa293" name="adc13e54fc969be98a5c0e3fa0dbaa293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc13e54fc969be98a5c0e3fa0dbaa293">&#9670;&#160;</a></span>setFieldWidth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerTime::setFieldWidth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">QCPAxisTickerTime::TimeUnit</a>&#160;</td>
          <td class="paramname"><em>unit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>width</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the field widh of the specified <em>unit</em> to be <em>width</em> digits, when displayed in the tick label. If the number for the specific unit is shorter than <em>width</em>, it will be padded with an according number of zeros to the left in order to reach the field width.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_time.html#a2f30b6e5125bce4256be9ce3177088ea">setTimeFormat</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06951">6951</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a5615064642090fe193797caea8b98cb4" name="a5615064642090fe193797caea8b98cb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5615064642090fe193797caea8b98cb4">&#9670;&#160;</a></span>getTickStep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerTime::getTickStep </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06965">6965</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time_a5615064642090fe193797caea8b98cb4_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_time_a5615064642090fe193797caea8b98cb4_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_time_a5615064642090fe193797caea8b98cb4_cgraph" id="aclass_q_c_p_axis_ticker_time_a5615064642090fe193797caea8b98cb4_cgraph">
<area shape="rect" title=" " alt="" coords="5,49,152,89"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="200,5,401,31"/>
<area shape="poly" title=" " alt="" coords="152,49,231,31,232,36,153,55"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="451,55,636,80"/>
<area shape="poly" title=" " alt="" coords="152,66,437,65,437,70,152,71"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="243,107,359,132"/>
<area shape="poly" title=" " alt="" coords="153,83,232,101,231,106,152,88"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="449,5,637,31"/>
<area shape="poly" title=" " alt="" coords="401,15,436,15,436,21,401,21"/>
<area shape="poly" title=" " alt="" coords="364,28,467,49,466,54,363,33"/>
</map>
</div>

</div>
</div>
<a id="acace84c46598176aa53837e147595471" name="acace84c46598176aa53837e147595471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acace84c46598176aa53837e147595471">&#9670;&#160;</a></span>getSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerTime::getSubTickCount </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07016">7016</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time_acace84c46598176aa53837e147595471_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_time_acace84c46598176aa53837e147595471_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_time_acace84c46598176aa53837e147595471_cgraph" id="aclass_q_c_p_axis_ticker_time_acace84c46598176aa53837e147595471_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,152,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8" title=" " alt="" coords="200,5,383,45"/>
<area shape="poly" title=" " alt="" coords="152,23,186,23,186,28,152,28"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="431,13,619,38"/>
<area shape="poly" title=" " alt="" coords="383,23,417,23,417,28,383,28"/>
</map>
</div>

</div>
</div>
<a id="a046eb771bdf2a959f570db542b3a0be6" name="a046eb771bdf2a959f570db542b3a0be6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a046eb771bdf2a959f570db542b3a0be6">&#9670;&#160;</a></span>getTickLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerTime::getTickLabel </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tick</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QLocale &amp;&#160;</td>
          <td class="paramname"><em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QChar&#160;</td>
          <td class="paramname"><em>formatChar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>precision</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07042">7042</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time_a046eb771bdf2a959f570db542b3a0be6_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_time_a046eb771bdf2a959f570db542b3a0be6_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_time_a046eb771bdf2a959f570db542b3a0be6_cgraph" id="aclass_q_c_p_axis_ticker_time_a046eb771bdf2a959f570db542b3a0be6_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,152,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#a03b6c980be36f2672e3fc31d109a28a0" title=" " alt="" coords="200,5,347,45"/>
<area shape="poly" title=" " alt="" coords="152,23,186,23,186,28,152,28"/>
</map>
</div>

</div>
</div>
<a id="a03b6c980be36f2672e3fc31d109a28a0" name="a03b6c980be36f2672e3fc31d109a28a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b6c980be36f2672e3fc31d109a28a0">&#9670;&#160;</a></span>replaceUnit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerTime::replaceUnit </td>
          <td>(</td>
          <td class="paramtype">QString &amp;&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">QCPAxisTickerTime::TimeUnit</a>&#160;</td>
          <td class="paramname"><em>unit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07075">7075</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_time_a03b6c980be36f2672e3fc31d109a28a0_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_time_a03b6c980be36f2672e3fc31d109a28a0_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_time_a03b6c980be36f2672e3fc31d109a28a0_icgraph" id="aclass_q_c_p_axis_ticker_time_a03b6c980be36f2672e3fc31d109a28a0_icgraph">
<area shape="rect" title=" " alt="" coords="200,5,347,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#a046eb771bdf2a959f570db542b3a0be6" title=" " alt="" coords="5,5,152,45"/>
<area shape="poly" title=" " alt="" coords="186,28,152,28,152,23,186,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a800af3fe0a7c1a8110c043b82169bc9d" name="a800af3fe0a7c1a8110c043b82169bc9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a800af3fe0a7c1a8110c043b82169bc9d">&#9670;&#160;</a></span>mTimeFormat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerTime::mTimeFormat</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01875">1875</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a58305b56f847bcab8b3c852a21bdb91a" name="a58305b56f847bcab8b3c852a21bdb91a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58305b56f847bcab8b3c852a21bdb91a">&#9670;&#160;</a></span>mFieldWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QHash&lt;<a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>, int&gt; QCPAxisTickerTime::mFieldWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01876">1876</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a61033c493cec76a69628d1aaa5b07abf" name="a61033c493cec76a69628d1aaa5b07abf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61033c493cec76a69628d1aaa5b07abf">&#9670;&#160;</a></span>mSmallestUnit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a> QCPAxisTickerTime::mSmallestUnit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01879">1879</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a349b2debe07adc591996aa73dec9a757" name="a349b2debe07adc591996aa73dec9a757"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a349b2debe07adc591996aa73dec9a757">&#9670;&#160;</a></span>mBiggestUnit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a> QCPAxisTickerTime::mBiggestUnit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01879">1879</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="adfc8221afbccb99343aa61f75419908d" name="adfc8221afbccb99343aa61f75419908d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfc8221afbccb99343aa61f75419908d">&#9670;&#160;</a></span>mFormatPattern</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QHash&lt;<a class="el" href="class_q_c_p_axis_ticker_time.html#a5c48ded8c6d3a1aca9b68219469fea3e">TimeUnit</a>, QString&gt; QCPAxisTickerTime::mFormatPattern</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01880">1880</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_ticker_time.html">QCPAxisTickerTime</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
